% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fun_MortalityLaw.R
\name{objective_fun}
\alias{objective_fun}
\title{Function to be Optimize}
\usage{
objective_fun(par, x, Dx, Ex, mx, qx, law, opt.method, custom.law)
}
\arguments{
\item{x}{Vector of ages at the beginning of the age interval.}

\item{Dx}{Object containing death counts. An element of the \code{Dx} object, 
represents the number of deaths during the year to persons aged x to x+n.}

\item{Ex}{Exposure in the period. \code{Ex} can be approximated by the 
mid-year population aged x to x+n.}

\item{mx}{Death rate in age interval [x, x+n).}

\item{qx}{Probability of dying in age interval [x, x+n).}

\item{law}{The name of the mortality law/model to be fitted. e.g. 
\code{gompertz}, \code{makeham}, ... To investigate all the possible options, 
see \code{\link{availableLaws}} function.}

\item{opt.method}{How would you like to find the parameters? Specify the 
function to be optimize. Available options: the Poisson likelihood function 
\code{poissonL}; the Binomial likelihood function -\code{binomialL}; and 
other 6 loss functions. For more details, check \code{\link{availableLF}} function.}

\item{custom.law}{Allows you to fit a model that is not defined 
in the package. Accepts as input a function.}
}
\description{
Function to be Optimize
}
\keyword{internal}
